Bug 55596 - Add date format used by Expires header
Summary: Add date format used by Expires header
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_headers (show other bugs)
Version: 2.2.25
Hardware: PC Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate, PatchAvailable
Depends on:
Blocks:
 
Reported: 2013-09-25 21:44 UTC by Philippe Lantin
Modified: 2018-11-07 21:09 UTC (History)
0 users



Attachments
Patch against mod_headers 2.2.25 (1.19 KB, patch)
2013-09-25 21:55 UTC, Philippe Lantin
Details | Diff
mod_headers.c module based on 2.2.25 (28.16 KB, text/plain)
2013-09-25 21:56 UTC, Philippe Lantin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Lantin 2013-09-25 21:44:41 UTC
It is practical to use mod_headers to insert Cache-Control headers in an http response. It would be equally practical to be able set the Expires header using mod_headers. While mod_expires can be used to set the Expires header, it's often not adequate for more elaborate use cases, such as conditional use based on the presence of environment variables. Using mod_headers to insert both of these headers is important to ensure consistent behavior.

We propose that support be added for the date format used by the Expires header (RFC 1123) for access time + seconds. Bug 40899 had a similar enhancement, but without the possibility of adding seconds. The "u" format specifier is used, and a seconds argument can be specified to add seconds to the time string value.

Header always set Expires {3600}u

This adds an Expires header with the correct time format for access time plus <seconds>, example:

Expires: Wed, 25 Sep 2013 21:06:22 GMT

This way, we can add cache control headers in a consistent manner:

Header always set Cache-Control "max-age=3600"
Header always set Expires %{3600}u
Comment 1 Philippe Lantin 2013-09-25 21:55:04 UTC
Created attachment 30883 [details]
Patch against mod_headers 2.2.25
Comment 2 Philippe Lantin 2013-09-25 21:56:03 UTC
Created attachment 30884 [details]
mod_headers.c module based on 2.2.25
Comment 3 William A. Rowe Jr. 2018-11-07 21:09:50 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.